<template>
    <div class="form-check form-switch">
        <input
            class="form-check-input"
            type="checkbox"
            role="switch"
            :id="id"
            :name="name"
            :checked="modelValue"
            @change="updateValue"
        />
        <label class="form-check-label" :for="id">{{ label }}</label>
    </div>
</template>

<script setup>
import { defineProps, defineEmits } from 'vue';

const props = defineProps({
    label: { type: String, default: 'Toggle switch' },
    name: { type: String, default: '' },
    id: { type: String, default: 'switch' },
    modelValue: { type: Boolean, default: false }
});

const emit = defineEmits(['update:modelValue']);

const updateValue = (event) => {
    emit('update:modelValue', event.target.checked);
};
</script>
